// studyprimdefs.h is part of CQG COM Operators SDK

#pragma once

enum eDrawingPrimitiveType 
{
   DP_NONE,
   DP_RAY,
   DP_SEG,
   DP_LINE,
   DP_ELLIPSE,
   DP_RECT,
   DP_TEXT,
   DP_REVRAY,
   DP_ARC,
   DP_SYMBOL,

   _DP_UNUSED_4, ///< not implemented
   _DP_UNUSED_5, ///< not implemented
   _DP_UNUSED_6, ///< not implemented
   _DP_UNUSED_1, ///< not implemented
   _DP_UNUSED_2, ///< not implemented
   _DP_UNUSED_3, ///< not implemented

   DP_SYMBOL_NO_VERT_ORDERING ///< type of STPSymbol which isn't allowed to symbols ordering.

};

enum HorizontalLabelAlignment 
{
   HLA_DEFAULT, 
   HLA_LEFT, 
   HLA_RIGHT, 
   HLA_CENTER,
   HLA_INVISIBLE
};

enum VerticalLabelAlignment 
{
   VLA_DEFAULT, 
   VLA_TOP, 
   VLA_BOTTOM, 
   VLA_CENTER,
   VLA_INVISIBLE
};

#define IGNORE_INDEX -32767
