// CurrentSecondSample.cpp is part of CQG COM Operators SDK Sample


#include "stdafx.h"
#include "resource.h"
#include "CurrentSecondSample.h"

class CCurrentSecondSampleModule : public CAtlDllModuleT< CCurrentSecondSampleModule >
{
public :
	DECLARE_LIBID(LIBID_CurrentSecondSampleLib)
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_CURRENTSECONDSAMPLE, "{020DC378-8271-45e7-A60B-8D855AE9C83F}")
};

CCurrentSecondSampleModule _AtlModule;


#ifdef _MANAGED
#pragma managed(push, off)
#endif

// DLL Entry Point
extern "C" BOOL WINAPI DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	hInstance;
    return _AtlModule.DllMain(dwReason, lpReserved); 
}

#ifdef _MANAGED
#pragma managed(pop)
#endif




// Used to determine whether the DLL can be unloaded by OLE
STDAPI DllCanUnloadNow(void)
{
    return _AtlModule.DllCanUnloadNow();
}


// Returns a class factory to create an object of the requested type
STDAPI DllGetClassObject(REFCLSID rclsid, REFIID riid, LPVOID* ppv)
{
    return _AtlModule.DllGetClassObject(rclsid, riid, ppv);
}


// DllRegisterServer - Adds entries to the system registry
STDAPI DllRegisterServer(void)
{
    // registers object, typelib and all interfaces in typelib
    HRESULT hr = _AtlModule.DllRegisterServer();
	return hr;
}


// DllUnregisterServer - Removes entries from the system registry
STDAPI DllUnregisterServer(void)
{
	HRESULT hr = _AtlModule.DllUnregisterServer();
	return hr;
}

