// MyMinMaxSample.cpp is part of CQG COM Operators SDK Sample


#include "stdafx.h"
#include "resource.h"
#include "MyMinMaxSample.h"

class CMyMinMaxSampleModule : public CAtlDllModuleT< CMyMinMaxSampleModule >
{
public :
	DECLARE_LIBID(LIBID_MyMinMaxSampleLib)
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_MYMINMAXSAMPLE, "{C34A0E6A-647C-4e62-9DC8-A09F4697C0AB}")
};

CMyMinMaxSampleModule _AtlModule;


#ifdef _MANAGED
#pragma managed(push, off)
#endif

// DLL Entry Point
extern "C" BOOL WINAPI DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	hInstance;
    return _AtlModule.DllMain(dwReason, lpReserved); 
}

#ifdef _MANAGED
#pragma managed(pop)
#endif




// Used to determine whether the DLL can be unloaded by OLE
STDAPI DllCanUnloadNow(void)
{
    return _AtlModule.DllCanUnloadNow();
}


// Returns a class factory to create an object of the requested type
STDAPI DllGetClassObject(REFCLSID rclsid, REFIID riid, LPVOID* ppv)
{
    return _AtlModule.DllGetClassObject(rclsid, riid, ppv);
}


// DllRegisterServer - Adds entries to the system registry
STDAPI DllRegisterServer(void)
{
    // registers object, typelib and all interfaces in typelib
    HRESULT hr = _AtlModule.DllRegisterServer();
	return hr;
}


// DllUnregisterServer - Removes entries from the system registry
STDAPI DllUnregisterServer(void)
{
	HRESULT hr = _AtlModule.DllUnregisterServer();
	return hr;
}

